%define major   0
%define libname %mklibname uvc %{major}
%define devname %mklibname uvc -d

Name:           libuvc
Version:        0.0.7
Release:        %mkrel 1
Summary:        Cross-platform library for USB video devices
Group:          System/Libraries
# include/utlist.h is BSD-1-Clause, the rest is BSD-3-Clause
License:        BSD-3-Clause AND BSD-1-Clause
URL:            https://libuvc.github.io
Source0:        https://github.com/libuvc/libuvc/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libusb-1.0)

%description
libuvc is a cross-platform library for USB video devices, built atop libusb. It
enables fine-grained control over USB video devices exporting the standard USB
Video Class (UVC) interface, enabling developers to write drivers for
previously unsupported devices, or just access UVC devices in a generic
fashion.

%package -n %{libname}
Summary:        Cross-platform library for USB video devices
Group:          System/Libraries

%description -n %{libname}
libuvc is a cross-platform library for USB video devices, built atop libusb. It
enables fine-grained control over USB video devices exporting the standard USB
Video Class (UVC) interface, enabling developers to write drivers for
previously unsupported devices, or just access UVC devices in a generic
fashion.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package    doc
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch

%description doc
This package contains developer documentation for %{name}.

%prep
%autosetup -p1

%build
%cmake \
       -DCMAKE_BUILD_TARGET=Shared
%cmake_build

# Build documentation
doxygen doxygen.conf

%install
%cmake_install

%check
%ctest

%files -n %{libname}
%license LICENSE.txt
%doc README.md changelog.txt
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%files doc
%license LICENSE.txt
%doc cameras standard-units.yaml
%doc doc


%changelog
* Wed Jun 12 2024 daviddavid <daviddavid> 0.0.7-1.mga10
+ Revision: 2072911
- initial package libuvc (mga#33294)

